> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get generation group detail

> Fetch generations and metadata for a specific group.



## OpenAPI

````yaml api-reference/openapi.json get /generation/groups/{group_id}
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /generation/groups/{group_id}:
    get:
      tags:
        - Generation
      summary: Get generation group detail
      description: Fetch generations and metadata for a specific group.
      operationId: getGenerationGroup
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            default: 50
            minimum: 1
            maximum: 200
          description: Maximum number of generations to return.
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
            minimum: 0
          description: Number of items to skip for pagination.
      responses:
        '200':
          description: Group detail.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerationGroupDetailResponse'
        '404':
          description: Group not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    GenerationGroupDetailResponse:
      type: object
      properties:
        group_id:
          type: string
        title:
          type: string
        description:
          type: string
        group_type:
          type: string
        generation_count:
          type: integer
        preview_image_url:
          type: string
          format: uri
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        status:
          type: string
        character_id:
          type: string
        generations:
          type: array
          items:
            $ref: '#/components/schemas/GenerationSummary'
        pagination:
          $ref: '#/components/schemas/Pagination'
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Short error identifier.
        message:
          type: string
          description: Human readable error description.
        character_id:
          type: string
          description: Character that triggered the error, when relevant.
        group_id:
          type: string
          description: Group that triggered the error, when relevant.
    GenerationSummary:
      type: object
      properties:
        generation_id:
          type: string
        prompt:
          type: string
        status:
          type: string
        result_urls:
          type: array
          items:
            type: string
            format: uri
        created_at:
          type: string
          format: date-time
        performance_metadata:
          type: object
    Pagination:
      type: object
      properties:
        limit:
          type: integer
          minimum: 0
        offset:
          type: integer
          minimum: 0
        returned:
          type: integer
          minimum: 0
        has_more:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````